Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1728687 - sudo do not set always_set_home by defaults
Summary: sudo do not set always_set_home by defaults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radovan Sroka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 12:50 UTC by M. Scherer
Modified: 2019-10-19 03:46 UTC (History)
4 users (show)

Fixed In Version: sudo-1.8.28-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 03:46:31 UTC
Type: Bug


Attachments (Terms of Use)

Description M. Scherer 2019-07-10 12:50:10 UTC
Description of problem:

While trying to figure why our (Gluster upstream) test suite failed on Fedora, I found out that sudo on Centos 7 do have the option "always_set_home" activated by default, but Fedora don't, and since, for some reason, our CI use sudo -E, this break on Fedora.

Since the comment on the RHEL/Centos file speak of "security implication", I think it would be interesting to keep the 2 of them somehow in sync.

However, since that's also supposed to be dealt with "env_reset", it might be something subtle going on. 



Version-Release number of selected component (if applicable):
sudo-1.8.27-1.fc30.x86_64

How reproducible:
Each time


Steps to Reproduce:
1. run "sudo -E env" on Fedora
2. see that /home is not reset (so /home is not /root
3. run "sudo -E env" on Centos or RHEL
4. see that /home is reset (so HOME=/root )

Actual results:
/home is kept as is

Expected results:
/home shouldn't be kept

Additional info:

Comment 1 Radovan Sroka 2019-08-16 12:14:52 UTC
Yes, we can add that option into fedora default sudoers.

Comment 2 Fedora Update System 2019-10-15 13:18:42 UTC
FEDORA-2019-67998e9f7e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-67998e9f7e

Comment 3 Fedora Update System 2019-10-15 15:28:20 UTC
sudo-1.8.28-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-67998e9f7e

Comment 4 Fedora Update System 2019-10-19 03:46:31 UTC
sudo-1.8.28-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.